Internal API to fetch the Product Collections

http
GET https://services.leadconnectorhq.com/products/collections

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.
altIdstringYes6578278e879ad2646715ba9cAccount Id
altTypestringYesLOCATIONThe type of alt. For now it is only LOCATION
collectionIdsstringNo65d71377c326ea78e1c47df5,65d71377c326ea78e1c47d34Ids of the collections separated by comma(,) for search purposes
namestringNoBest SellersQuery to search collection based on names

Responses

200 - Successful response
  • data (array[], required): Array of Collections

  • total (number, required): The total count of the collections present, which is useful to calculate the pagination

json
{
  "data": [
    []
  ],
  "total": 0
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?